Bug 850019 - Introduce new systemd-rpm macros in abrt spec file
Introduce new systemd-rpm macros in abrt spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
All Linux
high Severity medium
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016 ABRTF18
  Show dependency treegraph
 
Reported: 2012-08-21 09:23 EDT by Lukáš Nykrýn
Modified: 2013-10-02 02:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 02:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upstream patch (5.56 KB, patch)
2013-08-20 11:34 EDT, Denys Vlasenko
no flags Details | Diff
el6 patch (4.92 KB, patch)
2013-08-20 11:35 EDT, Denys Vlasenko
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:23:13 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Denys Vlasenko 2013-08-20 11:34:58 EDT
Created attachment 788550 [details]
upstream patch
Comment 2 Denys Vlasenko 2013-08-20 11:35:29 EDT
Created attachment 788551 [details]
el6 patch
Comment 3 Denys Vlasenko 2013-08-20 11:49:28 EDT
Patch sent to ML.
Comment 4 Denys Vlasenko 2013-08-21 07:30:16 EDT
Patch sent to ML.
Comment 5 Fedora Update System 2013-09-13 09:16:59 EDT
gnome-abrt-0.3.1-1.fc18,abrt-2.1.7-1.fc18,libreport-2.1.7-1.fc18,satyr-0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc18,abrt-2.1.7-1.fc18,libreport-2.1.7-1.fc18,satyr-0.9-1.fc18
Comment 6 Fedora Update System 2013-09-13 22:28:28 EDT
Package gnome-abrt-0.3.1-1.fc18, abrt-2.1.7-1.fc18, libreport-2.1.7-1.fc18, satyr-0.9-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc18 abrt-2.1.7-1.fc18 libreport-2.1.7-1.fc18 satyr-0.9-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16676/gnome-abrt-0.3.1-1.fc18,abrt-2.1.7-1.fc18,libreport-2.1.7-1.fc18,satyr-0.9-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-10-02 02:28:19 EDT
gnome-abrt-0.3.1-1.fc18, abrt-2.1.7-1.fc18, libreport-2.1.7-1.fc18, satyr-0.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.